Package: org.gradle.plugins.signing

## [Groovy] Class SigningPlugin

- org.gradle.plugins.signing.SigningPlugin

- All Implemented Interfaces and Traits:
    Plugin

      class SigningPlugin
      extends Object

  Adds the ability to digitally sign files and artifacts.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### void apply(Project project)

      Adds the ability to digitally sign files and artifacts.

      Adds the extension SigningExtension with the name “signing”.

      Also adds conventions to all sign tasks to use the signing extension setting defaults.

      See Also:
        SigningExtension